﻿using Gallery.Services;
using Xamarin.Forms;

namespace Gallery.Resources.Theme
{
    public class LightTheme : Theme
    {
        private static LightTheme instance;
        public static LightTheme Instance
        {
            get
            {
                if (instance == null)
                {
                    instance = new LightTheme();
                }
                return instance;
            }
        }

        public LightTheme()
        {
            InitColors();
            InitResources();
        }

        private void InitColors()
        {
            Add(StatusBarStyle, StatusBarStyles.DarkText);
            Add(NavigationColor, Color.FromRgb(0xf0, 0xf0, 0xf0));

            Add(Primary, Color.FromRgb(33, 150, 243));
        }
    }
}
