﻿using System;
using System.Net;
using Xamarin.Essentials;

namespace Gallery.Util
{
    public static class Store
    {
        public static readonly string PersonalFolder = Environment.GetFolderPath(Environment.SpecialFolder.Personal);
        public static readonly string CacheFolder = FileSystem.CacheDirectory;
    }

    public static class Config
    {
        public static readonly TimeSpan Timeout = TimeSpan.FromSeconds(30);

        public const string IsProxiedKey = "is_proxied";
        public const string ProxyHostKey = "proxy_host";
        public const string ProxyPortKey = "proxy_port";

        public const string UserAgent = "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/92.0.4515.107 Safari/537.36";
        public const string AcceptLanguage = "zh-cn";

        public static WebProxy Proxy;
    }
}
